Create a schema section Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/fact-find/schema/{factFindSchema_uuid}/section

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindSchema_uuid string Required
application/json

Body

  • name string Required

    The name of the fact find schema section. Must be unique.

  • front_end_section string Required

    The reference to the Plannr front-end. Must be unique.

    Value Description
    basic_details Basic Details
    be_iq_profiler Be Iq Profiler
    contact_details Contact Details
    debt Debt
    dependants Dependants
    employment Employment
    employment_and_income Employment And Income
    estate Estate
    expenses Expenses
    fixed_assets Fixed Assets
    goals Goals
    health Health
    income Income
    introduction Introduction
    investments Investments
    personal_details Personal Details
    plans Plans
    property Property
    protection Protection
    state_pension State Pension
    summary Summary
    vulnerability Vulnerability

    Values are basic_details, be_iq_profiler, contact_details, debt, dependants, employment, employment_and_income, estate, expenses, fixed_assets, goals, health, income, introduction, investments, personal_details, plans, property, protection, state_pension, summary, or vulnerability.

  • introduction_html string

    The HTML that should be displayed on the section.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • front_end_section string
    • introduction_html string
    • position integer
POST /api/v1/fact-find/schema/{factFindSchema_uuid}/section
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/fact-find/schema/6ff8f7f6-1eb3-3525-be4a-3932c805afed/section' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Basic Details","front_end_section":"basic_details","introduction_html":"\u003cp\u003ePlease tell us your \u003cb\u003ebasic details.\u003c/b\u003e\u003c/p\u003e"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Basic Details",
  "front_end_section": "basic_details",
  "introduction_html": "<p>Please tell us your <b>basic details.</b></p>"
}
Response examples (201)
[
  {
    "uuid": "aa01caa2-0a21-4a96-aee2-4c04b62ac795",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "name": "Basic Details",
    "front_end_section": "basic_details",
    "introduction_html": "<p>Please tell us your <b>basic details.</b></p>",
    "position": 1
  }
]